> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/keeperpam-commands/pam-rbi-commands.md).

# PAM RBI Commands

This command provides the ability to edit remote browser isolation settings for a record.

### RBI Edit command

Edits Remote Browser Isolation (RBI) settings on a `pamRemoteBrowser` record. Updates RBI field values (URL allow-lists, autofill, clipboard, audio, session persistence) and optionally the PAM graph flags for RBI / session recording / key events. Use `pam-config list` to find configuration UIDs.

<details>

<summary>DotNet CLI</summary>

**Command**: `pam-rbi edit`

**Alias**: `pam-remote-browser edit`

**Parameters**:

<table data-search="false"><thead><tr><th width="308">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>--record</code>, <code>-r</code> or <code>&#x3C;record></code></td><td><code>pamRemoteBrowser</code> record UID or title</td></tr><tr><td><code>--configuration</code>, <code>-c</code></td><td>PAM Configuration UID or title</td></tr><tr><td><code>--remote-browser-isolation</code></td><td>RBI permission on the resource: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--connections-recording</code></td><td>Session recording: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--key-events</code>, <code>-k</code></td><td>Key events: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--allow-url-navigation</code></td><td>Allow URL navigation / manipulation: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--ignore-server-cert</code></td><td>Ignore server certificate errors: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--allow-file-uploads</code></td><td>Allow file uploads: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--allow-file-downloads</code></td><td>Allow file downloads: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--allowed-urls</code></td><td>Allowed URL patterns (repeatable / comma-separated; appends). Empty string clears</td></tr><tr><td><code>--allowed-resource-urls</code></td><td>Allowed resource URL patterns (repeatable / comma-separated; appends). Empty string clears</td></tr><tr><td><code>--autofill-credentials</code>, <code>-a</code></td><td><code>login</code> or <code>pamUser</code> record UID/title for RBI autofill</td></tr><tr><td><code>--autofill-targets</code></td><td>Autofill target selectors (repeatable / comma-separated; appends). Empty string clears</td></tr><tr><td><code>--allow-copy</code></td><td>Allow clipboard copy: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--allow-paste</code>, <code>-p</code></td><td>Allow clipboard paste: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--disable-audio</code></td><td>Disable audio: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>--audio-channels</code></td><td>Audio channels: <code>1</code> (mono) or <code>2</code> (stereo)</td></tr><tr><td><code>--audio-bit-depth</code></td><td>Audio bit depth: <code>8</code> or <code>16</code></td></tr><tr><td><code>--audio-sample-rate</code></td><td>Sample rate in Hz (e.g. <code>44100</code>, <code>48000</code>)</td></tr><tr><td><code>--session-persistence</code></td><td><code>none</code>, <code>user</code>, <code>resource</code>, or <code>default</code></td></tr><tr><td><code>--silent</code>, <code>-s</code></td><td>Silent mode</td></tr></tbody></table>

**Examples**:

{% code expandable="true" %}

```csharp
My Vault> pam-rbi edit --record <RBI_RECORD_UID> --configuration <CONFIG_UID> --remote-browser-isolation=on
My Vault> pam-rbi edit <RBI_RECORD_UID> -c <CONFIG_UID> --connections-recording=on --key-events=on
My Vault> pam-rbi edit -r <RBI_RECORD_UID> --allowed-urls "https://*.example.com/*" --allow-copy=on --allow-paste=on
My Vault> pam-rbi edit -r <RBI_RECORD_UID> --autofill-credentials <LOGIN_OR_PAMUSER_UID> --autofill-targets "#username,#password"
My Vault> pam-rbi edit -r <RBI_RECORD_UID> --session-persistence user --disable-audio=off --audio-sample-rate 48000
My Vault> pam-remote-browser edit -r <RBI_RECORD_UID> --remote-browser-isolation=on
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**Function:**

```csharp
using KeeperSecurity.Plugins.PAM;
using System.Collections.Generic;

var result = await RbiUtils.EditRbiAsync(vault, new PamRbiEditOptions
{
    Record = "<RBI_RECORD_UID>",
    Configuration = "<CONFIG_UID>",
    RemoteBrowserIsolation = "on",
    ConnectionsRecording = "on",
    KeyEvents = "on",
    AllowUrlNavigation = "on",
    IgnoreServerCert = "off",
    AllowFileUploads = "off",
    AllowFileDownloads = "off",
    AllowedUrls = new List<string> { "https://*.example.com/*" },
    AllowedResourceUrls = new List<string> { "https://cdn.example.com/*" },
    AutofillCredentials = "<LOGIN_OR_PAMUSER_UID>",
    AutofillTargets = new List<string> { "#username", "#password" },
    AllowCopy = "on",
    AllowPaste = "on",
    DisableAudio = "off",
    AudioChannels = 2,
    AudioBitDepth = 16,
    AudioSampleRate = 48000,
    SessionPersistence = "user",
    Silent = false
});

foreach (var message in result.Messages)
{
    Console.WriteLine(message);
}

if (result.RecordUpdated || result.GraphUpdated)
{
    Console.WriteLine($"RBI settings updated for {result.RecordUid}");
}
```

</details>

<details>

<summary>Power Commander</summary>

**Command**: `Set-KeeperPamRbi`

**Alias**: `pam-rbi-edit`

**Parameters**:

<table data-search="false"><thead><tr><th width="308">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>-Record, -r</code></td><td><code>pamRemoteBrowser</code> record UID/title</td></tr><tr><td><code>-Configuration</code>, <code>-c</code></td><td>PAM Configuration UID or title</td></tr><tr><td><code>-RemoteBrowserIsolation, -rbi</code></td><td>RBI permission on the resource: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-ConnectionsRecording, -cr</code></td><td>Session recording: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-KeyEvents</code>, <code>-k</code></td><td>Key events: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-AllowUrlNavigation, -nav</code></td><td>Allow URL navigation / manipulation: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-IgnoreServerCert, -isc</code></td><td>Ignore server certificate errors: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-AllowFileUploads</code></td><td>Allow file uploads: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td>-<code>AllowFileDownloads</code></td><td>Allow file downloads: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-AllowedUrls, -au</code></td><td>Allowed URL patterns (repeatable / comma-separated; appends). Empty string clears</td></tr><tr><td><code>-AllowedResourceUrls, -aru</code></td><td>Allowed resource URL patterns (repeatable / comma-separated; appends). Empty string clears</td></tr><tr><td><code>-AutofillCredentials, -a</code></td><td><code>login</code> or <code>pamUser</code> record UID/title for RBI autofill</td></tr><tr><td><code>-AutofillTargets, -at</code></td><td>Autofill target selectors (repeatable / comma-separated; appends). Empty string clears</td></tr><tr><td><code>-AllowCopy, -cpy</code></td><td>Allow clipboard copy: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-AllowPaste, -p</code></td><td>Allow clipboard paste: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-DisableAudio, -da</code></td><td>Disable audio: <code>on</code>, <code>off</code>, or <code>default</code></td></tr><tr><td><code>-AudioChannels, -ac</code></td><td>Audio channels: <code>1</code> (mono) or <code>2</code> (stereo)</td></tr><tr><td><code>-AudioBitDepth, -bd</code></td><td>Audio bit depth: <code>8</code> or <code>16</code></td></tr><tr><td><code>-AudioSampleRate, -sr</code></td><td>Sample rate in Hz (e.g. <code>44100</code>, <code>48000</code>)</td></tr><tr><td><code>-SessionPersistence, -sp</code></td><td><code>none</code>, <code>user</code>, <code>resource</code>, or <code>default</code></td></tr><tr><td><code>-Silent, -s</code></td><td>Silent mode</td></tr></tbody></table>

**Examples:**

```powershell
PS > Set-KeeperPamRbi -Record "5H7NHL6VeN5KwMPRwj07tw" -Configuration "fTKLyvpZsuabGJiRuut40g" `
  -RemoteBrowserIsolation on -ConnectionsRecording on -AllowCopy off -AllowPaste off `
  -AllowedUrls "https://*.bing.com","https://www.bing.com/*" -SessionPersistence user
RBI settings updated for 5H7NHL6VeN5KwMPRwj07tw

PS > pam-rbi-edit -r "5H7NHL6VeN5KwMPRwj07tw" -c "fTKLyvpZsuabGJiRuut40g" `
  -rbi on -cr on -nav off -isc off -au "https://www.bing.com/*" -cpy off -p off -sp none -s

PS > Set-KeeperPamRbi -Record "5H7NHL6VeN5KwMPRwj07tw" -AllowedUrls '' -AllowedResourceUrls '' -AutofillTargets ''

```

</details>

<details>

<summary>Python CLI</summary>

**Command: Coming Soon**

</details>

<details>

<summary>Python SDK</summary>

**Command: Coming Soon**

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/keeperpam-commands/pam-rbi-commands.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
